org.wildfly.swarm.config.modcluster.mod_cluster_config

## Class ConfigurationSsl<T extends ConfigurationSsl<T>>

- java.lang.Object
- - org.wildfly.swarm.config.modcluster.mod_cluster_config.ConfigurationSsl<T>

-     public class ConfigurationSsl<T extends ConfigurationSsl<T>>
      extends Object

  The SSL configuration to client MCMP logic.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConfigurationSsl()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `String` | `caCertificateFile()` Certificate authority.
    `T` | `caCertificateFile(String value)` Certificate authority.
    `String` | `caRevocationUrl()` Certificate authority revocation list.
    `T` | `caRevocationUrl(String value)` Certificate authority revocation list.
    `String` | `certificateKeyFile()` Key file for the certificate.
    `T` | `certificateKeyFile(String value)` Key file for the certificate.
    `String` | `cipherSuite()` The allowed cipher suite.
    `T` | `cipherSuite(String value)` The allowed cipher suite.
    `String` | `getKey()`
    `String` | `keyAlias()` The key alias.
    `T` | `keyAlias(String value)` The key alias.
    `String` | `password()` Password.
    `T` | `password(String value)` Password.
    `String` | `protocol()` The SSL protocols that are enabled.
    `T` | `protocol(String value)` The SSL protocols that are enabled.
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ConfigurationSsl

          public ConfigurationSsl()

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### caCertificateFile

          public String caCertificateFile()

      Certificate authority.

    - #### caCertificateFile

          public T caCertificateFile(String value)

      Certificate authority.

    - #### caRevocationUrl

          public String caRevocationUrl()

      Certificate authority revocation list.

    - #### caRevocationUrl

          public T caRevocationUrl(String value)

      Certificate authority revocation list.

    - #### certificateKeyFile

          public String certificateKeyFile()

      Key file for the certificate.

    - #### certificateKeyFile

          public T certificateKeyFile(String value)

      Key file for the certificate.

    - #### cipherSuite

          public String cipherSuite()

      The allowed cipher suite.

    - #### cipherSuite

          public T cipherSuite(String value)

      The allowed cipher suite.

    - #### keyAlias

          public String keyAlias()

      The key alias.

    - #### keyAlias

          public T keyAlias(String value)

      The key alias.

    - #### password

          public String password()

      Password.

    - #### password

          public T password(String value)

      Password.

    - #### protocol

          public String protocol()

      The SSL protocols that are enabled.

    - #### protocol

          public T protocol(String value)

      The SSL protocols that are enabled.

Copyright © 2018 JBoss by Red Hat. All rights reserved.